#!/usr/bin/perl
#-----------------------------------------------------------------------
# content.cgi - retrieve content from the database for viewing
#-----------------------------------------------------------------------

use strict;
use ExSite::Config;
use ExSite::DB;
use ExSite::Page;
use ExSite::ContentData;
use ExSite::Misc;

use vars qw($db %q);

&exsite_init;
$db = new ExSite::DB;
my %q = &DecodeQuery;

if ($q{id}) {
    if ($db->referer_check()) {
	my $c = new ExSite::ContentData(id=>$q{id});
	$c->set_context();
	if (&authorize($c)) {
	    my $type = $c->content_type;
	    print "Content-type: $type\n\n";
	    if ($type =~ /text\/html/) {
		$share{Page} = new ExSite::Page(page=>$c->get("page"));
		print $c->expand;  # show oysters
	    }
	    elsif ($q{thumb}) {
		$c->set_context;
		my $data = $c->get_thumb_raw;
		print $data ? $data : $c->get_raw;
	    }
	    else {
		print $c->get_raw;
	    }
	}
	else {
	    print "Content-type: text/plain\n\nPermission denied.\n";
	}
    }
    else {
	print "Content-type: text/plain\n\n \n";
    }
}
else {
    print "Content-type: text/plain\n\nNo content to display!\n";
}

sub authorize {
    my $c = shift;
    if ($c->get_my("ptime") =~ /^0/) {
	# unpublished - only approve if we are an admin
	return $share{DB}->is_manager($c->get("section"));
    }
    # approve if we are permitted to view this page/library
    my $p = new ExSite::Page(page=>$c->get("page"));
    return $p->authorize();
}
